Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.binary.visitor
Interface PatternVisitor

All Known Implementing Classes:
  ChildElementFinder, PatternWalker

    public interface PatternVisitor

Method Summary
`void` | `visitAfter(Pattern p1, Pattern p2)`
`void` | `visitAttribute(NameClass ns, Pattern value)`
`void` | `visitChoice(Pattern p1, Pattern p2)`
`void` | `visitData(org.relaxng.datatype.Datatype dt)`
`void` | `visitDataExcept(org.relaxng.datatype.Datatype dt, Pattern except)`
`void` | `visitElement(NameClass nc, Pattern content)`
`void` | `visitEmpty()`
`void` | `visitError()`
`void` | `visitGroup(Pattern p1, Pattern p2)`
`void` | `visitInterleave(Pattern p1, Pattern p2)`
`void` | `visitList(Pattern p)`
`void` | `visitNotAllowed()`
`void` | `visitOneOrMore(Pattern p)`
`void` | `visitText()`
`void` | `visitValue(org.relaxng.datatype.Datatype dt, java.lang.Object obj)`

Method Detail

### visitEmpty

    void visitEmpty()

### visitNotAllowed

    void visitNotAllowed()

### visitError

    void visitError()

### visitAfter

    void visitAfter(Pattern p1,
                    Pattern p2)

### visitGroup

    void visitGroup(Pattern p1,
                    Pattern p2)

### visitInterleave

    void visitInterleave(Pattern p1,
                         Pattern p2)

### visitChoice

    void visitChoice(Pattern p1,
                     Pattern p2)

### visitOneOrMore

    void visitOneOrMore(Pattern p)

### visitElement

    void visitElement(NameClass nc,
                      Pattern content)

### visitAttribute

    void visitAttribute(NameClass ns,
                        Pattern value)

### visitData

    void visitData(org.relaxng.datatype.Datatype dt)

### visitDataExcept

    void visitDataExcept(org.relaxng.datatype.Datatype dt,
                         Pattern except)

### visitValue

    void visitValue(org.relaxng.datatype.Datatype dt,
                    java.lang.Object obj)

### visitText

    void visitText()

### visitList

    void visitList(Pattern p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD